{
  global: {},
  components: {
    // Component-level parameters, defined initially from 'ks prototype use ...'
    // Each object below should correspond to a component in the components/ directory
    "pytorch-operator": {
      cloud: 'null',
      deploymentNamespace: 'null',
      deploymentScope: 'cluster',
      disks: 'null',
      name: 'pytorch-operator',
      pytorchDefaultImage: 'null',
      pytorchJobImage: 'gcr.io/kubeflow-images-public/pytorch-operator:v0.3.0',
      pytorchJobVersion: 'v1alpha2',
    },
    ambassador: {
      ambassadorImage: 'quay.io/datawire/ambassador:0.37.0',
      ambassadorServiceType: 'ClusterIP',
      cloud: 'null',
      name: 'ambassador',
      platform: 'minikube',
    },
    jupyterhub: {
      accessLocalFs: 'false',
      cloud: 'null',
      disks: 'null',
      gcpSecretName: 'user-gcp-sa',
      image: 'gcr.io/kubeflow/jupyterhub-k8s:v20180531-3bb991b1',
      jupyterHubAuthenticator: 'null',
      name: 'jupyterhub',
      notebookGid: '-1',
      notebookPVCMount: '/home/jovyan',
      notebookUid: '-1',
      platform: 'minikube',
      registry: 'gcr.io',
      repoName: 'kubeflow-images-public',
      serviceType: 'ClusterIP',
      useJupyterLabAsDefault: 'false',
    },
    centraldashboard: {
      image: 'gcr.io/kubeflow-images-public/centraldashboard:v0.3.0',
      name: 'centraldashboard',
    },
    "tf-job-operator": {
      cloud: 'null',
      deploymentNamespace: 'null',
      deploymentScope: 'cluster',
      name: 'tf-job-operator',
      tfDefaultImage: 'null',
      tfJobImage: 'gcr.io/kubeflow-images-public/tf_operator:v0.3.0',
      tfJobUiServiceType: 'ClusterIP',
      tfJobVersion: 'v1alpha2',
    },
    argo: {
      executorImage: 'argoproj/argoexec:v2.2.0',
      name: 'argo',
      uiImage: 'argoproj/argoui:v2.2.0',
      workflowControllerImage: 'argoproj/workflow-controller:v2.2.0',
    },
    katib: {
      modeldbDatabaseImage: 'mongo:3.4',
      modeldbFrontendImage: 'gcr.io/kubeflow-images-public/katib/katib-frontend:v0.1.2-alpha-45-g3dce496',
      modeldbImage: 'gcr.io/kubeflow-images-public/modeldb-backend:v0.2.0',
      name: 'katib',
      studyJobControllerImage: 'katib/studyjob-controller',
      suggestionBayesianOptimizationImage: 'gcr.io/kubeflow-images-public/katib/suggestion-bayesianoptimization:v0.1.2-alpha-45-g3dce496',
      suggestionGridImage: 'gcr.io/kubeflow-images-public/katib/suggestion-grid:v0.1.2-alpha-45-g3dce496',
      suggestionHyperbandImage: 'gcr.io/kubeflow-images-public/katib/suggestion-hyperband:v0.1.2-alpha-45-g3dce496',
      suggestionRandomImage: 'gcr.io/kubeflow-images-public/katib/suggestion-random:v0.1.2-alpha-45-g3dce496',
      vizierCoreImage: 'gcr.io/kubeflow-images-public/katib/vizier-core:v0.1.2-alpha-45-g3dce496',
      vizierDbImage: 'mysql:8.0.3',
    },
    spartakus: {
      name: 'spartakus',
      reportUsage: 'true',
      usageId: '819152435',
    },
    application: {
      components: [],
      emitCRD: 'true',
      name: 'application',
      type: 'kubeflow',
      version: '0.3',
    },
    "t2tcpu": {
      workerGpu: 0,
      cpuImage: "gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-cpu:latest",
      dataDir: "gs://kubeflow-demo-base/featurization/yelp-data-1000000",
      gpuImage: "gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-gpu:latest",
      outputGCSPath: "gs://kubeflow-demo-base/gke/local/training/yelp-model-1000000",
    },
    "t2tgpu": {
      workerGpu: 1,
      cpuImage: "gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-cpu:latest",
      dataDir: "gs://kubeflow-demo-base/featurization/yelp-data-1000000",
      gpuImage: "gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-gpu:latest",
      outputGCSPath: "gs://kubeflow-demo-base/gke/local/training/yelp-model-1000000",
    },
    "t2ttpu": {
      cpuImage: "gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-cpu:latest",
      dataDir: "gs://kubeflow-demo-base/featurization/yelp-data-1000000",
      gpuImage: "gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-gpu:latest",
      outputGCSPath: "gs://kubeflow-demo-base/gke/local/training/yelp-model-1000000",
    },
    "serving": {
      modelPath: "gs://kubeflow-demo-base/kubeflow-demo-base-demo/TPU/training/yelp-model-1000000-live/export/Servo",
      deployHttpProxy: true,
      modelServerImage: "gcr.io/kubeflow-images-public/tf-model-server-cpu:v20180523-2a68f293",
      name: "serving"
    },
    "ui": {
      image: "gcr.io/kubeflow-demo-base/kubeflow-yelp-demo-ui:latest",
    },
  },
}
